# WOK
TKWOK
MS

# MS_HSequenceOfGenClass Class Reference

`#include <MS_HSequenceOfGenClass.hxx>`

## Public Member Functions

| MS_HSequenceOfGenClass ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MS_GenClass)&anItem)
Standard_EXPORT void | Append (const Handle(MS_HSequenceOfGenClass)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MS_GenClass)&anItem)
Standard_EXPORT void | Prepend (const Handle(MS_HSequenceOfGenClass)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_GenClass)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_HSequenceOfGenClass)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_GenClass)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_HSequenceOfGenClass)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MS_HSequenceOfGenClass | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MS_GenClass)&anItem)
Standard_EXPORT const Handle_MS_GenClass & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MS_GenClass & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MS_SequenceOfGenClass & | Sequence () const
MS_SequenceOfGenClass & | ChangeSequence ()
Standard_EXPORT Handle_MS_HSequenceOfGenClass | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_SequenceOfGenClass | mySequence

## Constructor & Destructor Documentation

MS_HSequenceOfGenClass::MS_HSequenceOfGenClass | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MS_HSequenceOfGenClass::Append | ( | const Handle(MS_HSequenceOfGenClass)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfGenClass::Append | ( | const Handle(MS_GenClass)& | anItem | ) |

MS_SequenceOfGenClass& MS_HSequenceOfGenClass::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MS_GenClass& MS_HSequenceOfGenClass::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfGenClass::Clear | ( |  | ) |

Standard_EXPORT void MS_HSequenceOfGenClass::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MS_HSequenceOfGenClass::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HSequenceOfGenClass::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfGenClass)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfGenClass::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_GenClass)& | anItem
| ) |

Standard_EXPORT void MS_HSequenceOfGenClass::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfGenClass)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfGenClass::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_GenClass)& | anItem
| ) |

Standard_Boolean MS_HSequenceOfGenClass::IsEmpty | ( |  | ) | const

Standard_Integer MS_HSequenceOfGenClass::Length | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfGenClass::Prepend | ( | const Handle(MS_HSequenceOfGenClass)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfGenClass::Prepend | ( | const Handle(MS_GenClass)& | anItem | ) |

Standard_EXPORT void MS_HSequenceOfGenClass::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MS_HSequenceOfGenClass::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfGenClass::Reverse | ( |  | ) |

const MS_SequenceOfGenClass& MS_HSequenceOfGenClass::Sequence | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfGenClass::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_GenClass)& | anItem
| ) |

Standard_EXPORT Handle_MS_HSequenceOfGenClass MS_HSequenceOfGenClass::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfGenClass MS_HSequenceOfGenClass::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MS_GenClass& MS_HSequenceOfGenClass::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MS_SequenceOfGenClass MS_HSequenceOfGenClass::mySequence `[private]`

The documentation for this class was generated from the following file:

- MS_HSequenceOfGenClass.hxx